Patch-Source: https://github.com/archlinux/svntogit-packages/blob/75764a2dc4d1abab0194aab2a7f0149731e3e7a7/trunk/fusermount3.diff
diff --git i/common/flatpak-dir.c w/common/flatpak-dir.c
index ca64902c..22302406 100644
--- i/common/flatpak-dir.c
+++ w/common/flatpak-dir.c
@@ -2109,7 +2109,7 @@ flatpak_dir_revokefs_fuse_unmount (OstreeRepo **repo,
 
   fusermount = g_subprocess_new (G_SUBPROCESS_FLAGS_NONE,
                                  error,
-                                 "fusermount", "-u", "-z", mnt_dir,
+                                 "fusermount3", "-u", "-z", mnt_dir,
                                  NULL);
   if (g_subprocess_wait_check (fusermount, NULL, error))
     {
diff --git i/tests/can-use-fuse.c w/tests/can-use-fuse.c
index fb6e2000..759f0d84 100644
--- i/tests/can-use-fuse.c
+++ w/tests/can-use-fuse.c
@@ -53,23 +53,23 @@ check_fuse (void)
       return FALSE;
     }
 
-  fusermount = g_find_program_in_path ("fusermount");
+  fusermount = g_find_program_in_path ("fusermount3");
 
   if (fusermount == NULL)
     {
-      cannot_use_fuse = g_strdup ("fusermount not found in PATH");
+      cannot_use_fuse = g_strdup ("fusermount3 not found in PATH");
       return FALSE;
     }
 
   if (!g_file_test (fusermount, G_FILE_TEST_IS_EXECUTABLE))
     {
       cannot_use_fuse = g_strdup_printf ("%s not executable", fusermount);
       return FALSE;
     }
 
   if (!g_file_test ("/etc/mtab", G_FILE_TEST_EXISTS))
     {
-      cannot_use_fuse = g_strdup ("fusermount won't work without /etc/mtab");
+      cannot_use_fuse = g_strdup ("fusermount3 won't work without /etc/mtab");
       return FALSE;
     }
 
diff --git i/tests/libtest.sh w/tests/libtest.sh
index 36d39ac4..e78d94ca 100644
--- i/tests/libtest.sh
+++ w/tests/libtest.sh
@@ -542,7 +542,7 @@ skip_one_without_bwrap () {
 }
 
 skip_without_fuse () {
-    fusermount --version >/dev/null 2>&1 || skip "no fusermount"
+    fusermount3 --version >/dev/null 2>&1 || skip "no fusermount3"
 
     capsh --print | grep -q 'Bounding set.*[^a-z]cap_sys_admin' || \
         skip "No cap_sys_admin in bounding set, can't use FUSE"
@@ -608,7 +608,7 @@ commit_to_path () {
 cleanup () {
     /bin/kill -9 $DBUS_SESSION_BUS_PID
     gpg-connect-agent --homedir "${FL_GPG_HOMEDIR}" killagent /bye >&2 || true
-    fusermount -u $XDG_RUNTIME_DIR/doc >&2 || :
+    fusermount3 -u $XDG_RUNTIME_DIR/doc >&2 || :
     kill $(jobs -p) &> /dev/null || true
     if test -n "${TEST_SKIP_CLEANUP:-}"; then
         echo "# Skipping cleanup of ${TEST_DATA_DIR}"
